Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.forms.client
Class DefaultForm

    java.lang.Object
      com.tibco.forms.client.DefaultForm

All Implemented Interfaces:
  Form

    public class DefaultForm

extends java.lang.Object
implements Form

Default implementation of a form.

Since:
  2.2.2

Field Summary

Fields inherited from interface com.tibco.forms.client.Form
`ACTION_APPLY, ACTION_CANCEL, ACTION_CLOSE, ACTION_RESET, ACTION_SUBMIT, ACTION_VALIDATE`

Constructor Summary
`DefaultForm(com.google.gwt.core.client.JavaScriptObject form)` Constructs a new DefaultForm.

Method Summary
`void` | `destroy()` Removes the form from its container and also releases its resources.
`LoadStat[]` | `getLoadStats()` Returns an array of LoadStat objects that each represent the measurement of a particular phase of the form load.
`com.google.gwt.core.client.JavaScriptObject` | `getLoadStatsFromNativeForm()` Returns the load stats array from the native form.
`java.lang.String` | `getLocale()` Returns the String representation of the Locale currently being used to render the Form.
`java.lang.String` | `getSerializedParameters()` Returns a JSON representation of the data being managed by the Form.
`void` | `setCallbackHandler(java.lang.String actionName, FormActionCallbackHandler handler)` Adds a handler to the form that will be invoked when the specified action is invoked in the Form.
`void` | `setLocale(java.lang.String locale)` Sets the String representation of the Locale currently being used to render the Form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultForm

    public DefaultForm(com.google.gwt.core.client.JavaScriptObject form)

  Constructs a new DefaultForm.

  Parameters:
    `form` - The native form instance.

Method Detail

### destroy

    public void destroy()

  Removes the form from its container and also releases its resources. This should be called by client applications that wish to close the form.. CHECKSTYLE:OFF.

  Specified by:
    `destroy` in interface `Form`

### getLoadStats

    public LoadStat[] getLoadStats()

  Returns an array of LoadStat objects that each represent the measurement of a particular phase of the form load..

  Specified by:
    `getLoadStats` in interface `Form`
  Returns:
    An array of LoadStat objects that each represent the measurement of a particular phase of the form load.

### getLoadStatsFromNativeForm

    public com.google.gwt.core.client.JavaScriptObject getLoadStatsFromNativeForm()

  Returns the load stats array from the native form.

  Returns:
    the load stats array from the native form.

### getLocale

    public java.lang.String getLocale()

  Returns the String representation of the Locale currently being used to render the Form.. CHECKSTYLE:OFF.

  Specified by:
    `getLocale` in interface `Form`
  Returns:
    The String representation of the Locale currently being used to render the Form.

### getSerializedParameters

    public java.lang.String getSerializedParameters()

  Returns a JSON representation of the data being managed by the Form.. CHECKSTYLE:OFF.

  Specified by:
    `getSerializedParameters` in interface `Form`
  Returns:
    A JSON representation of the data being managed by the Form.

### setCallbackHandler

    public void setCallbackHandler(java.lang.String actionName,
                                   FormActionCallbackHandler handler)

  Adds a handler to the form that will be invoked when the specified action is invoked in the Form. Note that any handler already registered for this action will be replaced by this handler.. CHECKSTYLE:OFF.

  Specified by:
    `setCallbackHandler` in interface `Form`
  Parameters:
    `actionName` - Name of the action (e.g. close) If the action is "submit", then the all validations in the Form will be invoked prior to invoking the callback handlers. If any of the validations fail, then the callback handlers will not be invoked.
    `handler` - The callback handler to associate with the actionName. The Form may have only one handler for each action. If this method is called more than once for the same actionName, the handler set previously will be replaced. Passing in null for this parameter will remove the handler for this particular action.

### setLocale

    public void setLocale(java.lang.String locale)

  Sets the String representation of the Locale currently being used to render the Form.. CHECKSTYLE:OFF.

  Specified by:
    `setLocale` in interface `Form`
  Parameters:
    `locale` - String representation of the Locale, e.g. "en" or "en_US".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.